/***********************
 * All the pages in the Particle Adventure are maintained by this list of the page order
 * and nesting level information. 
 *
 * This script first defines a giant array pageList for keeping track of the pages,
 * then provides manipulator functions for dealing with this data.
 ***********************/

	/* The page desciription format is "<DEPTH>Short Name:URL relative to index.html"
		where <DEPTH> is a certain number of hash marks # that indicate the relative depth.
	  */

pageList = new Array (
"O?:startstandard.html",
		"#ۥjHӪD:startstandard.html",
		"#M:fundamental.html",
		"#l:atom.html",
		"#lO򥻶?:atom_fund.html",
		"#l֬O򥻶?:nucleus_fund.html",
		"#lMlO򥻶?:pn_fund.html",
		"#{Nlҫ:modern_atom.html",
		"#ljp:scale.html",
		"#ڭ̦bM䤰?:modern_physics.html",
		"#зǼҫ:standard_model.html",
		"#зǼҫ:quiz_sm.html",
		"@ɬOѤզ?:quarks_leptons.html",
		"#jJM:quarks_leptons.html",
		"#MϪ:antipreface.html",
		"#OϪ?:antimatter.html",
		"#jJ:quarks.html",
		"#jJRW:quarknaming.html",
		"#jlBlMl:hadrons.html",
		"#l:leptons.html",
		"#lI:lepton_decay.html",
		"#lu:lepton_conservation.html",
		"#lIܴ:quiz_ld.html",
		"#Ll:neutrinos.html",
		"#ɤlզ:quiz_wp.html",
		"#誺@N:generations.html",
		"#Kn:matter_summary.html",
		"OϥXb@_?:4interactions.html",
		"#|ا@ΤO:4interactions.html",
		"#pۤ@?:interact.html",
		"#ݤ@:unseen.html",
		"#qϲ{H:electromagnetism.html",
		"#ѾlqϤO:residuale_m.html",
		"#l?:binding.html",
		"#j@ΤO:strong.html",
		"#:color.html",
		"#jJ:quark_confinement.html",
		"#jJgXl:quarks_gluons.html",
		"#Ѿlj@ΤO:residualstrong.html",
		"#z@ΤO:weak.html",
		"#qz@ΤO:electroweak.html",
		"#UޤO:gravity.html",
		"#@ΤOKn:inter_summary.html",
		"#qlO:quantum_mech.html",
		"#Qۮez:pauli.html",
		"#O̤lPl:fermibos.html",
		"#nO\h:remember.html",
		"ɤlIܻP:decay_intro.html",
		"#OI?:decay_intro.html",
		"#g:decay_start.html",
		"#gʲɤl:radio_part.html",
		"#Iܪxb:unhappy.html",
		"#iJ֦:rope.html",
		"#pGo͡AN|o:quantum.html",
		"#bI:half_life.html",
		"#q:mm.html",
		"#ɤlIܪ򤶪:mediator.html",
		"#ɤl:virtual.html",
		"#P@ΤODifferent Interactions:decay_dif.html",
		"#:annih.html",
		"#wǻPI:all_decay.html",
		"#l]I:npe.html",
		"#qll:eedd.html",
		"#jJ:top_pro.html",
		"Ѥ:beyond_start.html",
		"#зǼҫS:beyond_start.html",
		"#зǼҫz:standard_modeling.html",
		"#Tӥ@N:three_gen.html",
		"#q?:masses.html",
		"#j@βz:unified.html",
		"#OPj@βz:grand.html",
		"#W٩:supersymmetry.html",
		"#Ͳz:string.html",
		"#t@Extra Dimensions:extra_dim.html",
		"#·t:dark.html",
		"ڭ̦p󪾹Do?:exp_start.html",
		"#@Ӳz:exp_start.html",
		"#Mlc:atom_search.html",
		"#Զ֪絲GRutherford's Result:rutherfords_result.html",
		"#Զ֪R:rutherfords_analysis.html",
		"#zǮap:how_to_exp.html",
		"#鱴w:deflected.html",
		"ڭ̦p󰻴oͤF?:detect_world.html",
		"#@:detect_world.html",
		"#ΪL:better_micro.html",
		"#iA}:cave.html",
		"#iAJN:moral.html",
		"#iMѪR:wave_res.html",
		"#zǮauG[t, the Accelerator:tool.html",
		"#iMɤl:waves.html",
		"#tzث:meterstick.html",
		"#qMq:mass_and_energy.html",
		"#ഫ:collision.html",
		"ڭ̦pηLpɤl@?:accel.html",
		"#[t:accel.html",
		"#poΨӥ[tɤl:get_part.html",
		"#[tɤl:accel_particles.html",
		"#[tɤlʵe:accel_ani.html",
		"#[t]p:accel_design.html",
		"#ɤlwv:fixed_target.html",
		"#ɤl:colliding_beam.html",
		"#uʩζΥ[t?:lin_circ.html",
		"#Oϲɤl?:circle.html",
		"#[t]puH:accel_adv.html",
		"#Dn[t:variation.html",
		"#ƥ:event.html",	
		"#:detectors.html",
		"#Ϊ:shape_detector.html",
		"ڭ̦pŪƾ?:modern_detect.html",
		"#{N:modern_detect.html",
		"#嫬:component_detector.html",
		"#qqPʶq:measure.html",
		"#I:end_view.html",
		"#ݴɤly:quiz_track.html",
		"#ƾڪq:computer.html",
		"#jJ/lƥ:comp_qg.html",
		"#y:exp_end.html");

			

	
	
	/*********************/
	/* getTitle
	   Take a description like "###Atoms?:atoms.html" and return "Atoms?" */
	function getTitle(description) {
		var index_1 = description.indexOf(":");
		if (index_1 == -1) {
			alert(desription + " is an illegal description.");
			return "1";
		} 
		
		var index_2 = description.substring(index_1 + 1, description.length).indexOf(":");
		if (index_2 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		return description.substring(index_1 + 1,index_2 + index_1 + 1);	
	}
	
	/*********************/
	/* getURL 
	   Take a description like "###Atoms?:atoms.html" and return "atoms.html" */
	function getURL(description) {
		var index_1 = description.indexOf(":");
		if (index_1 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		
		var index_2 = description.substring(index_1 + 1, description.length).indexOf(":");
		if (index_2 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		return description.substring(index_1+ index_2 + 2, description.length);	
	}
	
	
