/***********************
 * All the pages in the Particle Adventure are maintained by this list of the page order
 * and nesting level information. 
 *
 * This script first defines a giant array pageList for keeping track of the pages,
 * then provides manipulator functions for dealing with this data.
 ***********************/

	/* The page desciription format is "<DEPTH>Short Name:URL relative to index.html"
		where <DEPTH> is a certain number of hash marks # that indicate the relative depth.
	  */

pageList = new Array (
"What is Fundamental?:startstandard.html",
		"#Eternal Questions:startstandard.html",
		"#The Search for the Fundamental:fundamental.html",
		"#The Atom:atom.html",
		"#Is the Atom Fundamental?:atom_fund.html",
		"#Is the Nucleus Fundamental?:nucleus_fund.html",
		"#Are Protons and Neutrons Fundamental?:pn_fund.html",
		"#The Modern Atom Model:modern_atom.html",
		"#The Scale of the Atom:scale.html",
		"#What Are We Looking For?:modern_physics.html",
		"#The Standard Model:standard_model.html",
		"#Standard Model Quiz:quiz_sm.html",
		"What is the World Made Of?:quarks_leptons.html",
		"#Quarks and Leptons:quarks_leptons.html",
		"#Matter and Antimatter:antipreface.html",
		"#What is Antimatter?:antimatter.html",
		"#Quarks:quarks.html",
		"#The Naming of Quarks:quarknaming.html",
		"#Hadrons, Baryons, Mesons:hadrons.html",
		"#Leptons:leptons.html",
		"#Lepton Decays:lepton_decay.html",
		"#Lepton Type Conservation:lepton_conservation.html",
		"#Lepton Decay Quiz:quiz_ld.html",
		"#Neutrinos:neutrinos.html",
		"#Quiz on What Particles Are Made Of:quiz_wp.html",
		"#The Generations of Matter:generations.html",
		"#Matter Summary:matter_summary.html",
		"What Holds it Together?:4interactions.html",
		"#The Four Interactions:4interactions.html",
		"#How Does Matter Interact?:interact.html",
		"#The Unseen Effect:unseen.html",
		"#Electromagnetism:electromagnetism.html",
		"#Residual E-M Force:residuale_m.html",
		"#What About the Nucleus?:binding.html",
		"#Strong:strong.html",
		"#Color Charge:color.html",
		"#Quark Confinement:quark_confinement.html",
		"#Quarks Emit Gluons:quarks_gluons.html",
		"#Residual Strong Force:residualstrong.html",
		"#Weak:weak.html",
		"#Electroweak:electroweak.html",
		"#Gravity:gravity.html",
		"#Interaction Summary:inter_summary.html",
		"#Quantum Mechanics:quantum_mech.html",
		"#The Pauli Exclusion Principle:pauli.html",
		"#Fermions & Bosons:fermibos.html",
		"#A Lot to Remember:remember.html",
		"Particle Decays and Annihilations:decay_intro.html",
		"#What is Decay?:decay_intro.html",
		"#Radioactivity:decay_start.html",
		"#Radioactive Particles:radio_part.html",
		"#Confusion About Decays:unhappy.html",
		"#A Look Into the Nucleus:rope.html",
		"#If It Can Happen, It Will:quantum.html",
		"#Half Life:half_life.html",
		"#Missing Mass:mm.html",
		"#Particle Decay Mediators:mediator.html",
		"#Virtual Particles:virtual.html",
		"#Different Interactions:decay_dif.html",
		"#Annihilations:annih.html",
		"#Bubble Chamber and Decays:all_decay.html",
		"#Neutron Beta Decay:npe.html",
		"#Electron/Positron Annihilation:eedd.html",
		"#Top Production:top_pro.html",
		"Unsolved Mysteries:beyond_start.html",
		"#Beyond the Standard Model:beyond_start.html",
		"#Standard Model as a Theory:standard_modeling.html",
		"#Three Generations:three_gen.html",
		"#What About Masses?:masses.html",
		"#Grand Unified Theory:unified.html",
		"#Forces and GUT:grand.html",
		"#Supersymmetry:supersymmetry.html",
		"#String Theory:string.html",
		"#Extra Dimensions:extra_dim.html",
		"#Dark Matter:dark.html",
		"How Do We Know Any Of This?:exp_start.html",
		"#Testing a Theory:exp_start.html",
		"#Searching For the Atom's Structure:atom_search.html",
		"#Rutherford's Result:rutherfords_result.html",
		"#Rutherford's Analysis:rutherfords_analysis.html",
		"#How Physicists Experiment:how_to_exp.html",
		"#Deflected Probe:deflected.html",
		"How do we Detect What's Happening?:detect_world.html",
		"#Detecting the World:detect_world.html",
		"#A Better Microscope:better_micro.html",
		"#Wavelength, the Cave:cave.html",
		"#Wavelength, the Moral:moral.html",
		"#Wavelength and Resolution Explained:wave_res.html",
		"#The Physicist's Tool, the Accelerator:tool.html",
		"#Waves and Particles:waves.html",
		"#The World's Meterstick:meterstick.html",
		"#Mass and Energy:mass_and_energy.html",
		"#Energy-Mass Conversion:collision.html",
		"How do we Experiment with Tiny Particles?:accel.html",
		"#Accelerators:accel.html",
		"#How To Obtain Particles to Accelerate:get_part.html",
		"#Accelerating Particles:accel_particles.html",
		"#Accelerating Particles Animation:accel_ani.html",
		"#Accelerator Design:accel_design.html",
		"#Fixed-Target Experiments:fixed_target.html",
		"#Colliding-Beam Experiments:colliding_beam.html",
		"#A Linear or Circular Accelerator?:lin_circ.html",
		"#What Makes Particles Go in a Circle?:circle.html",
		"#Advantages of Accelerator Design:accel_adv.html",
		"#The Major Accelerators:variation.html",
		"#The Event:event.html",	
		"#Detectors:detectors.html",
		"#Detector Shapes:shape_detector.html",
		"How Do We Intepret Our Data?:modern_detect.html",
		"#Modern Detectors:modern_detect.html",
		"#Typical Detector Components:component_detector.html",
		"#Measuring Charge and Momentum:measure.html",
		"#Detector Cross Section:end_view.html",
		"#Quiz - Particle Tracks:quiz_track.html",
		"#The Computer Reconstruction:computer.html",
		"#A Quark/Gluon Event:comp_qg.html",
		"#The End:exp_end.html");

			

	
	/*********************/
	/* getTitle
	   Take a description like "###Atoms?:atoms.html" and return "Atoms?" */
	function getTitle(description) {
		var index_1 = description.indexOf(":");
		if (index_1 == -1) {
			alert(desription + " is an illegal description.");
			return "1";
		} 
		
		var index_2 = description.substring(index_1 + 1, description.length).indexOf(":");
		if (index_2 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		return description.substring(index_1 + 1,index_2 + index_1 + 1);	
	}
	
	/*********************/
	/* getURL 
	   Take a description like "###Atoms?:atoms.html" and return "atoms.html" */
	function getURL(description) {
		var index_1 = description.indexOf(":");
		if (index_1 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		
		var index_2 = description.substring(index_1 + 1, description.length).indexOf(":");
		if (index_2 == -1) {
			alert(description + " is an illegal description.");
			return "1";
		} 
		return description.substring(index_1+ index_2 + 2, description.length);	
	}
	
	
